%define api 1.0
%define major 1
#define libname %mklibname dleyna-server %{api} %{major}
#define develname %mklibname -d dleyna-server %{api}

%global __provides_exclude libdleyna-server-1\\.0\\.so
%global __requires_exclude libdleyna-server-1\\.0\\.so

%define git 20140714

Name:		dleyna-server
Version:	0.4.0
Release:	%mkrel 1
Summary:	Service for interacting with Digital Media Servers
Group:		System/Servers
License:	LGPLv2
URL:		https://01.org/dleyna/
# wget https://github.com/01org/dleyna-server/archive/master.zip
# bzme %{name}-master.zip; mv %{name}-%{master}.tar.bz2 %{name}-%{git}.tar.bz2
Source0:	%{name}-%{git}.tar.bz2
BuildRequires:	pkgconfig(dleyna-core-%{api})
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	gssdp-devel >= 0.13.2
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.19.1
BuildRequires:	pkgconfig(gupnp-av-1.0) >= 0.11.5
BuildRequires:	pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:	libsoup-devel
Requires:	dbus
Requires:	%mklibname dleyna-connector-dbus

%description
D-Bus service for clients to discover and manipulate DLNA Digital Media
Servers (DMSes).

%prep
%setup -qn %{name}-master

%build
autoreconf -fiv
%configure2_5x \
  --disable-silent-rules \
  --disable-static

%make


%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete -print

# We don't need a -devel package because only the daemon is supposed to be
# using the library.
rm -rf %{buildroot}/%{_includedir}
rm -f %{buildroot}/%{_libdir}/%{name}/libdleyna-server-%{api}.so
rm -rf %{buildroot}/%{_libdir}/pkgconfig


%files
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README
%{_datadir}/dbus-1/services/com.intel.%{name}.service

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libdleyna-server-%{api}.so.%{major}*

%{_libexecdir}/%{name}-service
%config(noreplace) %{_sysconfdir}/%{name}-service.conf




%changelog
* Sun Nov 16 2014 cjw <cjw> 0.4.0-1.mga5
+ Revision: 797605
- set RPM groups
- fix requirement on dbus connector module package
- imported package dleyna-server

